Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.util
Class DomainBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              groovy.util.FactoryBuilderSupport
                  groovy.util.ObjectGraphBuilder
                      grails.util.DomainBuilder

All Implemented Interfaces:
  groovy.lang.GroovyObject

     class DomainBuilder

extends groovy.util.ObjectGraphBuilder

DomainBuilder allows the construction of object graphs of domain classes. Example:

            def builder = new DomainBuilder()

                    def company = builder.company( name: 'ACME' ) {
                            employee(  name: 'Duke', employeeId: 1 ) {
                                    address( street: '123 Groovy Rd' )
                            }
                            employee(  name: 'George', employeeId: 2 )
                    }

Author:
  Scott Vlaminck

Nested Class Summary
`static class` | `DomainBuilder.DefaultGrailsChildPropertySetter`

Nested classes/interfaces inherited from class groovy.util.ObjectGraphBuilder
`groovy.util.ObjectGraphBuilder.ChildPropertySetter, groovy.util.ObjectGraphBuilder.ClassNameResolver, groovy.util.ObjectGraphBuilder.DefaultChildPropertySetter, groovy.util.ObjectGraphBuilder.DefaultClassNameResolver, groovy.util.ObjectGraphBuilder.DefaultIdentifierResolver, groovy.util.ObjectGraphBuilder.DefaultNewInstanceResolver, groovy.util.ObjectGraphBuilder.DefaultReferenceResolver, groovy.util.ObjectGraphBuilder.DefaultRelationNameResolver, groovy.util.ObjectGraphBuilder.IdentifierResolver, groovy.util.ObjectGraphBuilder.NewInstanceResolver, groovy.util.ObjectGraphBuilder.ReferenceResolver, groovy.util.ObjectGraphBuilder.RelationNameResolver`

Field Summary

Fields inherited from class groovy.util.ObjectGraphBuilder
`NODE_CLASS, NODE_NAME, OBJECT_ID`

Fields inherited from class groovy.util.FactoryBuilderSupport
`CURRENT_FACTORY, CURRENT_NAME, CURRENT_NODE, OWNER, PARENT_CONTEXT, PARENT_FACTORY, PARENT_NAME, PARENT_NODE`

Constructor Summary
`DomainBuilder()`

Method Summary

Methods inherited from class groovy.util.ObjectGraphBuilder
`getChildPropertySetter, getClassLoader, getClassNameResolver, getNewInstanceResolver, getRelationNameResolver, postInstantiate, preInstantiate, resolveFactory, setChildPropertySetter, setClassLoader, setClassNameResolver, setIdentifierResolver, setNewInstanceResolver, setReferenceResolver, setRelationNameResolver`

Methods inherited from class groovy.util.FactoryBuilderSupport
`addAttributeDelegate, addDisposalClosure, addPostInstantiateDelegate, addPostNodeCompletionDelegate, addPreInstantiateDelegate, build, build, build, checkValueIsNull, checkValueIsType, checkValueIsTypeNotString, createNode, dispose, getContext, getContexts, getCurrent, getCurrentFactory, getCurrentName, getFactories, getName, getParentContext, getParentFactory, getParentName, getParentNode, getProxyBuilder, handleNodeAttributes, invokeMethod, invokeMethod, newContext, nodeCompleted, popContext, postNodeCompletion, registerBeanFactory, registerFactory, removeAttributeDelegate, removePostInstantiateDelegate, removePostNodeCompletionDelegate, removePreInstantiateDelegate, reset, setClosureDelegate, setNodeAttributes, setParent, setProxyBuilder, withBuilder, withBuilder, withBuilder`

Methods inherited from class groovy.lang.Binding
`getProperty, getVariable, getVariables, setProperty, setVariable`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, setMetaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainBuilder

    public DomainBuilder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project